Loading...
Searching...
No Matches
Opm::data::Connection Struct Reference

## Public Types

using | global_index = std::size_t

## Public Member Functions

bool | operator== (const Connection &conn2) const
template<class MessageBufferType>
void | write (MessageBufferType &buffer) const
template<class MessageBufferType>
void | read (MessageBufferType &buffer)
void | init_json (Json::JsonObject &json_data) const
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static Connection | serializationTestObject ()

## Public Attributes

global_index | index {}
Rates | rates {}
double | pressure {}
double | reservoir_rate {}
double | cell_pressure {}
double | cell_saturation_water {}
double | cell_saturation_gas {}
double | effective_Kh {}
double | trans_factor {}
double | d_factor {}
double | compact_mult {1.0}
int | lgr_grid {0}
ConnectionFiltrate | filtrate {}
ConnectionFracture | fracture {}
ConnectionFracturing | fract {}
| Connection level fracturing statistics.

## Static Public Attributes

static const constexpr int | restart_size = 6

The documentation for this struct was generated from the following file:

- opm/output/data/Wells.hpp